PHTTPClientAuthentication::AuthObject Class Referenceabstract

`#include <http.h>`

Inheritance diagram for PHTTPClientAuthentication::AuthObject:

## Public Member Functions

virtual | ~AuthObject ()
virtual PMIMEInfo & | GetMIME ()=0
virtual PString | GetURI ()=0
virtual PString | GetEntityBody ()=0
virtual PString | GetMethod ()=0

## Constructor & Destructor Documentation

## ~AuthObject()

virtual PHTTPClientAuthentication::AuthObject::~AuthObject | ( |  | ) |

inline virtual

References PString::Compare().

## Member Function Documentation

## GetEntityBody()

virtual PString PHTTPClientAuthentication::AuthObject::GetEntityBody | ( |  | ) |

pure virtual

Implemented in PHTTPClientAuthenticator.

## GetMethod()

virtual PString PHTTPClientAuthentication::AuthObject::GetMethod | ( |  | ) |

pure virtual

Implemented in PHTTPClientAuthenticator.

## GetMIME()

virtual PMIMEInfo& PHTTPClientAuthentication::AuthObject::GetMIME | ( |  | ) |

pure virtual

Implemented in PHTTPClientAuthenticator.

## GetURI()

virtual PString PHTTPClientAuthentication::AuthObject::GetURI | ( |  | ) |

pure virtual

Implemented in PHTTPClientAuthenticator.

The documentation for this class was generated from the following file:

- http.h